| AIfES 2 2.0.0

Data Fields
AIFES_E_init_weights_parameter_fnn_f32 Struct Reference

Parameters for weight initialization. More...

`#include <aifes_express_f32_fnn.h>`

## Data Fields
AIFES_E_init_weights_method | init_weights_method
| Weight initialization method (AIFES_E_init_weights_method)
float | min_init_uniform
| min value only for(AIfES_E_init_uniform)
float | max_init_uniform
| max value only for(AIfES_E_init_uniform)

## Detailed Description

Parameters for weight initialization.

Initialization method of weights and its parameterization

Example: Set a uniform distributed weights initializer with automatic value range:

AIFES_E_init_weights_parameter_fnn_f32 nn_weights_init;
nn_weights_init.init_weights_method = AIfES_E_init_glorot_uniform ;
AIfES_E_init_glorot_uniform
@ AIfES_E_init_glorot_uniform
Random numbers are uniformly diced within a certain range.
Definition: aifes_express_f32_fnn.h:69
AIFES_E_init_weights_parameter_fnn_f32
Parameters for weight initialization.
Definition: aifes_express_f32_fnn.h:184
AIFES_E_init_weights_parameter_fnn_f32::init_weights_method
AIFES_E_init_weights_method init_weights_method
Weight initialization method (AIFES_E_init_weights_method)
Definition: aifes_express_f32_fnn.h:185

Example: Set a uniform distributed weights initializer with custom value range:

AIFES_E_init_weights_parameter_fnn_f32 nn_weights_init;
nn_weights_init.init_weights_method = AIfES_E_init_uniform;
nn_weights_init.min_init_uniform = -2; // only for the AIfES_E_init_uniform
nn_weights_init.max_init_uniform = 2; // only for the AIfES_E_init_uniform
AIfES_E_init_uniform
@ AIfES_E_init_uniform
Dices the weights in a range of values you specify.
Definition: aifes_express_f32_fnn.h:68
AIFES_E_init_weights_parameter_fnn_f32::max_init_uniform
float max_init_uniform
max value only for(AIfES_E_init_uniform)
Definition: aifes_express_f32_fnn.h:187
AIFES_E_init_weights_parameter_fnn_f32::min_init_uniform
float min_init_uniform
min value only for(AIfES_E_init_uniform)
Definition: aifes_express_f32_fnn.h:186

The documentation for this struct was generated from the following file:

- aifes_express_f32_fnn.h